%define section devel

Summary:        Embedded Java Compiler
Name:           janino
Version:        2.3.8
Release:        1jpp
Epoch:          0
License:        BSD
URL:            http://www.janino.net/
Group:          Development/Tools
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://www.janino.net/download/janino-2.3.8.zip
Patch0:         janino-2.3.8-build_properties.patch

BuildRequires:  ant >= 0:1.6, ant-junit >= 0:1.6, jpackage-utils >= 0:1.5
BuildRequires:  junit, xml-commons-apis
Requires:       xml-commons-apis
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Janino is a compiler that reads a JavaTM  expression, block, class body, 
source file or a set of source files, and generates JavaTM bytecode that 
is loaded and executed directly. Janino is not intended to be a 
development tool, but an embedded compiler for run-time compilation 
purposes, e.g. expression evaluators or "server pages" engines like JSP.
The major design goal was to keep the compiler small and simple, while 
partially sacrificing completeness. I don't like the idea of carrying 
around huge libraries for simple applications. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation

%description demo
%{summary}.

%prep
%setup -q -n %{name}-%{version}
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

%patch0 -b .sav

%build
ant compile javadoc dist

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}

cp -p lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Wed Oct 19 2005 Ralph Apel <r.apel@r-apel.de> - 0:2.3.8-1jpp
- First JPackage build
